[Buildroot] [git commit] support/test-pkg: check the config snippet exists

Thomas Petazzoni thomas.petazzoni at free-electrons.com
Sun Feb 12 14:59:49 UTC 2017


commit: https://git.buildroot.net/buildroot/commit/?id=55bbbe04c31dd32bd2f4eb8c1c27e95abea666d8
branch: https://git.buildroot.net/buildroot/commit/?id=refs/heads/master

Signed-off-by: "Yann E. MORIN" <yann.morin.1998 at free.fr>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni at free-electrons.com>
---
 support/scripts/test-pkg | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/support/scripts/test-pkg b/support/scripts/test-pkg
index 9066fa0..11ec18c 100755
--- a/support/scripts/test-pkg
+++ b/support/scripts/test-pkg
@@ -39,6 +39,9 @@ main() {
     if [ -z "${cfg}" ]; then
         printf "error: no config snippet specified\n" >&2; exit 1
     fi
+    if [ ! -e "${cfg}" ]; then
+        printf "error: %s: no such file\n" "${cfg}" >&2; exit 1
+    fi
     if [ -z "${dir}" ]; then
         dir="${HOME}/br-test-pkg"
     fi


More information about the buildroot mailing list